class RatingResult {
  final int predicted;
  final String feedback;
  final bool submit;

  RatingResult.cancel({this.predicted = -1})
      : feedback = "",
        submit = false;

  RatingResult.submit(this.predicted, {this.feedback = ""}) : submit = true;

  bool get isCancel => !submit;

  bool get maybeRated => submit && predicted >= 5;
}
